local kmap = vim.keymap
local opts = { noremap = true, silent = true }

-- Diagnostics
kmap.set('n', '<leader>[', vim.diagnostic.goto_prev, opts)
kmap.set('n', '<leader>]', vim.diagnostic.goto_next, opts)
kmap.set('n', '<leader>e', vim.diagnostic.setloclist, opts)
-- Copy and paste normally
kmap.set('v', '<C-c>', '"+y', opts)
kmap.set('i', '<C-v>', '<ESC>"+p', opts)
-- Save and quit with leader
kmap.set('n', '<leader>q', ':qa<CR>', opts)
kmap.set('n', '<leader>w', ':wa<CR>', opts)
-- Sane window movement
kmap.set('n', '<c-h>', '<c-w>h', opts)
kmap.set('n', '<c-j>', '<c-w>j', opts)
kmap.set('n', '<c-k>', '<c-w>k', opts)
kmap.set('n', '<c-l>', '<c-w>l', opts)
kmap.set('n', '<leader>c', '<c-w>c', opts)
kmap.set('n', '<leader>o', '<c-w>o', opts)
-- Misc
kmap.set('n', '<leader>fc', vim.lsp.buf.format, opts)

kmap.set('i', '<c-o>', '<ESC>A;<CR>', opts)
kmap.set('n', '<leader>fm', vim.cmd.Ex, opts)

kmap.set('v', 'J', ":m '>+1<CR>gv=gv")
kmap.set('v', 'K', ":m '<-2<CR>gv=gv")
kmap.set('n', '<c-d>', '<c-d>zz')
kmap.set('n', '<c-u>', '<c-u>zz')
kmap.set('n', 'n', 'nzzzv')
kmap.set('n', 'N', 'Nzzzv')
kmap.set('n', 'N', 'Nzzzv')
kmap.set('x', '<leader>p', '"_dP')
