local opt = vim.o

opt.completeopt = 'menu,menuone,noselect' -- Completion behavior
opt.confirm = true -- Prompt instead of failing because of unsaved changes
opt.hidden = true -- Do not force file saving on buffer changes
opt.ignorecase = true -- Case intensitive search
opt.inccommand = 'nosplit' -- No split on completion
opt.laststatus = 3 -- Display only ONE statusline
opt.list = true -- Show spaces at the end of the lines and tabs
opt.listchars = 'tab:| ,trail:-,nbsp:+'
opt.mouse = 'a' -- Enable mouse support for all modes
opt.number = true -- Display line numbers
opt.scrolloff = 5 -- Scroll one line ahead
opt.showmode = false -- Do not show current mode in the command prompt
opt.smartcase = true -- Case insensitive search unless a capital in search
opt.splitbelow = true -- Open splits below
opt.splitright = true -- Open splits to the right
opt.textwidth = 79 -- 80 (79) column rule
opt.colorcolumn = 80
opt.wrap = false
opt.timeout = false -- Never timeout on mappings
opt.ttimeout = true -- Timeout on keycodes
opt.ttimeoutlen = 200 -- Keycode timeout delay
opt.undofile = true -- Save undo files
opt.hlsearch = false
opt.shortmess = 'aTIc'
opt.showbreak = "+++ "

opt.foldmethod = 'expr' -- Create folds based on expression
opt.foldexpr = 'nvim_treesitter#foldexpr()' -- Expression to create folds
opt.foldlevel = 3 -- Fold everything deeper than this
opt.foldenable = false -- Do not fold by default
