return {
   'nvim-telescope/telescope.nvim',
   version = '*',
   dependencies = {
      'nvim-lua/plenary.nvim',
      {
         'nvim-telescope/telescope-fzf-native.nvim',
         build = 'make'
      }
   },
   config = function()
      local telescope = require'telescope'
      local builtin = require'telescope.builtin'
      local kmap = vim.keymap

      telescope.setup {
         extensions = {
            fzf = {
               fuzzy = true,
               override_generic_sorter = true,
               override_file_sorter = true,
               case_mode = "smart_case",
            }
         }
      }
      telescope.load_extension('fzf')

      -- Pickers
      -- nvim
      kmap.set('n', '<leader>ff', builtin.find_files, {})
      kmap.set('n', '<leader><leader>', builtin.buffers, {})
      -- LSP
      kmap.set('n', '<leader>ld', builtin.lsp_definitions, {})
      kmap.set('n', '<leader>li', builtin.lsp_implementations, {})
      kmap.set('n', '<leader>lc', builtin.lsp_incoming_calls, {})
      kmap.set('n', '<leader>lo', builtin.lsp_outgoing_calls, {})
      kmap.set('n', '<leader>lr', builtin.lsp_references, {})
      kmap.set('n', '<leader>ls', builtin.lsp_document_symbols, {})
      kmap.set('n', '<leader>lS', builtin.lsp_workspace_symbols, {})
      kmap.set('n', '<leader>le', builtin.diagnostics, {})
      kmap.set('n', '<leader>lt', builtin.lsp_type_definitions, {})
      -- Treesitter
      kmap.set('n', '<leader>t', builtin.treesitter, {})
      -- Git
      --kmap.set('n', '<leader>gc', builtin.git_commits, {})
      --kmap.set('n', '<leader>gb', builtin.git_branches, {})
      --kmap.set('n', '<leader>gs', builtin.git_status, {})
   end,
}
