return {
   'nvim-treesitter/nvim-treesitter',
   build = ':TSUpdateSync',

   config = function()
      require'nvim-treesitter.configs'.setup {
         ensure_installed = 'all',
         highlight = { enable = true },
      }
      require'nvim-treesitter.configs'.setup {
         incremental_selection = {
            enable = true,
            keymaps = {
               -- Set to 'false' to disable.
               init_selection = "gnn",
               node_incremental = "grn",
               scope_incremental = "grc",
               node_decremental = "grm",
            },
         },
      }
   end,

   dependencies = {
      {
         'nvim-treesitter/nvim-treesitter-context',
         config = function()
            require'treesitter-context'.setup{
               enable = true,
            }
         end,
      },
   },
}
