-- Bootstrap plugin manager.
-- Taken from https://github.com/folke/lazy.nvim#-installation.
local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable", -- Latest stable release.
    lazypath,
  })
end

vim.opt.rtp:prepend(lazypath)

-- Set a keymap to call the plugin manager.
vim.keymap.set('n', '<F2>', ':Lazy<CR>', {noremap = true, silent = true})

local plugins = 'plugins' -- Add your plugins there.
local opts = { -- Plugin manage options.

}
require('lazy').setup(plugins, opts)
