setopt prompt_subst

# Left Prompt
local PR_USER='%B%F{green}%n%f%b'        # Username
local PR_PROMPT='%F{blue}-> %B%#%b%f'    # Command Prompt
local PR_TIME='%B%F{blue}%*%f%b'         # Time HH:MM:SS
local PR_PATH='%F{white}[%~]%f'          # Current Directory
local PR_GIT_BRANCH='$(git_prompt_info)' # Git Branch

# Format Git Branch
ZSH_THEME_GIT_PROMPT_PREFIX="%F{green}["
ZSH_THEME_GIT_PROMPT_SUFFIX="]%f"
ZSH_THEME_GIT_PROMPT_DIRTY="%F{red}^%F{green}"
ZSH_THEME_GIT_PROMPT_CLEAN=""

# Right Prompt
local RPR_RETURN_CODE="%(?..%F{red}%? <-%f)" # Error Exit Code

# Check if we are on SSH or not.
local PR_HOST # Hostname
if [[ -n "$SSH_CLIENT" || -n "$SSH2_CLIENT" ]]; then
  PR_HOST='%B%F{yellow}%m%f%b' # SSH
else
  PR_HOST='%B%F{green}%m%f%b' # No SSH
fi

PROMPT="${PR_USER}%F{green}@%f${PR_HOST} ${PR_TIME} ${PR_PATH} ${PR_GIT_BRANCH}
${PR_PROMPT} "
RPROMPT="${RPR_RETURN_CODE}"
